List Workflow Webhook Events
curl --request GET \
--url https://api-prod.interactly.ai/workflows/v1/workflow-webhooks/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/workflows/v1/workflow-webhooks/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/workflows/v1/workflow-webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"event_id": "<string>",
"subscription_id": "<string>",
"action": "workflow_created",
"team_id": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"workflow_id": "<string>",
"workflow_name": "<string>",
"workflow_run_id": "<string>",
"workflow_run_status": "<string>",
"payload": {},
"dedupe_key": "<string>",
"status": "pending",
"attempts_count": 0,
"next_retry_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"last_attempt_at": "2023-11-07T05:31:56Z",
"last_status_code": 123,
"last_error": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflow Webhooks
List Workflow Webhook Events
GET
/
workflows
/
v1
/
workflow-webhooks
/
events
List Workflow Webhook Events
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Available options:
workflow_created, workflow_updated, workflow_deleted, workflow_run_started, workflow_run_completed Available options:
pending, retrying, delivered, failed Number of items per page
Required range:
x >= 1Page number
Required range:
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)